#ifndef __IUP_PPLOT_BI
#define __IUP_PPLOT_BI

/'* \file
 * \brief PPlot component for Iup.
 *
 * See Copyright Notice in "iup.bi"
 '/

#include once "iup.bi"

extern "C" lib "iup_pplot"

/' Initialize IupPPlot widget class '/
declare sub      IupPPlotOpen

/' Create an IupPPlot widget instance '/
declare function IupPPlot as Ihandle ptr

/'*********************************************'/
/'           Additional API                    '/
declare sub      IupPPlotBegin(byval as Ihandle ptr, byval strXdata as integer)
declare sub      IupPPlotAdd(byval as Ihandle ptr, byval x as single, byval y as single)
declare sub      IupPPlotAddStr(byval as Ihandle ptr, byval x as const zstring ptr, byval y as single)
declare function IupPPlotEnd(byval as Ihandle ptr) as integer

declare sub      IupPPlotInsertStr(byval as Ihandle ptr, byval index as integer, byval sample_index as integer, byval as const zstring ptr, byval y as single)
declare sub      IupPPlotInsert(byval as Ihandle ptr, byval index as integer, byval sample_index as integer, byval x as single, byval y as single)

declare sub      IupPPlotInsertStrPoints(byval as Ihandle ptr, byval index as integer, byval sample_index as integer, byval x as const zstring ptr ptr, byval y as single ptr,byval count as integer)
declare sub      IupPPlotInsertPoints(byval as Ihandle ptr, byval index as integer, byval sample_index as integer, byval x as single ptr, byval y as single ptr, byval count as integer)

declare sub      IupPPlotAddPoints(byval as Ihandle ptr, byval index as integer, byval x as single ptr, byval y as single ptr, byval count as integer)
declare sub      IupPPlotAddStrPoints(byval as Ihandle ptr, byval index as integer, byval x as const zstring ptr ptr, byval y as single ptr, byval count as integer)

declare sub      IupPPlotGetSample(byval as Ihandle ptr, byval index as integer, byval sample_index as integer, byval x as single ptr, byval y as single ptr)
declare sub      IupPPlotGetSampleStr(byval as Ihandle ptr, byval index as integer, byval sample_index as integer, byval x as const zstring ptr ptr, byval y as single ptr)

declare sub      IupPPlotTransform(byval as Ihandle ptr, byval x as single, byval y as single, byval ix as integer ptr, byval iy as integer ptr)
declare sub      IupPPlotTransformTo(byval as Ihandle ptr, byval x as integer, byval y as integer, byval rx as single ptr, byval ry as single ptr)

declare sub      IupPPlotPaintTo(byval as Ihandle ptr, byval cnv as any ptr)

end extern


#endif
