#ifndef __IUPIM_BI
#define __IUPIM_BI

/'* \file
 * \brief Utilities using IM
 *
 * See Copyright Notice in "iup.bi"
 '/

extern "C" lib "iupimglib"

declare function IupLoadImage(byval file_name as const zstring ptr) as Ihandle ptr
declare function IupSaveImage(byval as Ihandle ptr,byval filename as const zstring ptr, byval format as const zstring ptr) as integer

#ifdef __IM_IMAGE_H
declare function IupGetNativeHandleImage(byval handle as any ptr) as imImage ptr
declare function IupGetImageNativeHandle(byval image as const imImage ptr) as any ptr
declare function IupImageFromImImage(byval image as const imImage ptr) as Ihandle ptr
#endif

end extern


#endif ' __IUPIM_BI

